Bug 785820 - [abrt] fedpkg-1.7-1.fc16: cmd.py:377:execute:GitCommandError: 'git remote prune origin' returned exit status 128: Permission denied (publickey).
Summary: [abrt] fedpkg-1.7-1.fc16: cmd.py:377:execute:GitCommandError: 'git remote pru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:02a97f98756256a53f1b9e7406f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-30 17:15 UTC by David Juran
Modified: 2013-01-10 06:43 UTC (History)
1 user (show)

Fixed In Version: fedpkg-1.9-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 02:57:44 UTC
Type: ---


Attachments (Terms of Use)

Description David Juran 2012-01-30 17:15:48 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -tt /usr/libexec/fedpkg-fixbranches
comment:        I ran /usr/libexec/fedpkg-fixbranches although my public key happened to be invalid
executable:     /usr/libexec/fedpkg-fixbranches
kernel:         3.2.1-3.fc16.x86_64
reason:         cmd.py:377:execute:GitCommandError: 'git remote prune origin' returned exit status 128: Permission denied (publickey).
time:           mån 30 jan 2012 18.11.42
uid:            500
username:       djuran

backtrace:
:cmd.py:377:execute:GitCommandError: 'git remote prune origin' returned exit status 128: Permission denied (publickey).
:fatal: The remote end hung up unexpectedly
:
:Traceback (most recent call last):
:  File "/usr/libexec/fedpkg-fixbranches", line 280, in <module>
:    convert(args)
:  File "/usr/libexec/fedpkg-fixbranches", line 123, in convert
:    repo.git.remote('prune', remote)
:  File "/usr/lib/python2.7/site-packages/git/cmd.py", line 227, in <lambda>
:    return lambda *args, **kwargs: self._call_process(name, *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/git/cmd.py", line 456, in _call_process
:    return self.execute(call, **_kwargs)
:  File "/usr/lib/python2.7/site-packages/git/cmd.py", line 377, in execute
:    raise GitCommandError(command, status, stderr_value)
:GitCommandError: 'git remote prune origin' returned exit status 128: Permission denied (publickey).
:fatal: The remote end hung up unexpectedly
:
:Local variables in innermost frame:
:status: 128
:with_extended_output: False
:istream: None
:as_process: False
:stderr_value: 'Permission denied (publickey).\r\nfatal: The remote end hung up unexpectedly'
:self: <git.cmd.Git object at 0x1acc550>
:subprocess_kwargs: {}
:stdout_value: ''
:command: ['git', 'remote', 'prune', 'origin']
:with_keep_cwd: False
:with_exceptions: True
:proc: <subprocess.Popen object at 0x1ac9f10>
:cwd: '/mnt/NotBackedUp/cvs/fedora/libvirt'
:output_stream: None

smolt_data:
:
:
:General
:=================================
:UUID: e0c80d51-15cd-4e8f-87b2-f02e350d98e7
:OS: Fedora release 16 (Verne)
:Default run level: 5
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.57
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 3753
:System Swap: 8191
:Vendor: LENOVO
:System: 2537CT4 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.2.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/HelpdeskRHEL4-FCRoot / ext3 4096 4096 15240180 1444328 663504 15761408 15219869 15219869
:/dev/mapper/HelpdeskRHEL4-NotBackedUp WITHHELD ext3 4096 4096 13411970 2803058 2121625 6815744 6323739 6323739
:/dev/mapper/HelpdeskRHEL4-FCHome /home ext3 4096 4096 2288007 1364666 1246718 2359296 2243965 2243965
:/dev/sda1 /boot ext3 1024 1024 99590 42418 37199 26104 25817 25817
:/dev/sdb1 WITHHELD vfat 4096 4096 516234 195073 195073 0 0 0
:

Comment 1 Jesse Keating 2012-01-30 18:09:21 UTC
Just need to wrap that in a try.

Comment 2 Jesse Keating 2012-03-06 00:46:28 UTC
Committed in 5d592cb  will be in next build.

Comment 3 Fedora Update System 2012-03-12 23:56:17 UTC
rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16

Comment 4 Fedora Update System 2012-03-12 23:56:51 UTC
fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15

Comment 5 Fedora Update System 2012-03-12 23:57:21 UTC
fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17

Comment 6 Fedora Update System 2012-03-13 17:10:41 UTC
Package fedpkg-1.9-1.fc17, rpkg-1.14-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.9-1.fc17 rpkg-1.14-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3682/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-03-31 02:57:44 UTC
fedpkg-1.9-1.fc15, rpkg-1.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-31 03:20:56 UTC
fedpkg-1.9-1.fc16, rpkg-1.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-04-12 02:06:37 UTC
fedpkg-1.9-1.fc17, rpkg-1.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.